unit Exit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Generell, IniFiles, ShellAPI, registry,
  jpeg;

type
  TfrmExit = class(TForm)
    shpOv2: TShape;
    Label1: TLabel;
    lblWartoft: TLabel;
    Label3: TLabel;
    lblEdufree: TLabel;
    lblKidsSoftware: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Shape1: TShape;
    imgExit: TImage;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure imgExitClick(Sender: TObject);
    procedure lblWartoftClick(Sender: TObject);
    procedure lblKidsSoftwareClick(Sender: TObject);
    procedure lblEdufreeClick(Sender: TObject);
    procedure Image1Click(Sender: TObject);

    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmExit: TfrmExit;

implementation

{$R *.DFM}

procedure TfrmExit.FormShow(Sender: TObject);
begin
     Color := clBlack;
     DrawButton(imgExit, 'OK', clWhite, 'Arial', 12, 30, THINBORDER);
end;

procedure TfrmExit.imgExitClick(Sender: TObject);
var
   i,j: integer;
begin
     Close;
end;

procedure TfrmExit.lblWartoftClick(Sender: TObject);
var
   MyStr: Array[0..255] of char;
   strFileName: String;
begin
   try

      strFileName := 'http://www.wartoft.nu/software/sebran';

      StrPCopy(MyStr, strFileName);
      ShellExecute(Handle, Nil, MyStr, Nil, Nil, SW_RESTORE);

   finally
   end;
end;

procedure TfrmExit.lblKidsSoftwareClick(Sender: TObject);
var
   MyStr: Array[0..255] of char;
   strFileName: String;
begin
   try

      strFileName := 'http://www.kids-software.com';

      StrPCopy(MyStr, strFileName);
      ShellExecute(Handle, Nil, MyStr, Nil, Nil, SW_RESTORE);

   finally
   end;
end;

procedure TfrmExit.lblEdufreeClick(Sender: TObject);
var
   MyStr: Array[0..255] of char;
   strFileName: String;
begin
   try

      strFileName := 'http://www.educational-freeware.com';

      StrPCopy(MyStr, strFileName);
      ShellExecute(Handle, Nil, MyStr, Nil, Nil, SW_RESTORE);

   finally
   end;
end;

procedure TfrmExit.Image1Click(Sender: TObject);
var
   MyStr: Array[0..255] of char;
   strFileName: String;
begin
   try

      strFileName := 'http://www.wartoft.nu/software/donate.aspx';

      StrPCopy(MyStr, strFileName);
      ShellExecute(Handle, Nil, MyStr, Nil, Nil, SW_RESTORE);

   finally
   end;
end;


procedure TfrmExit.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     If Key=27 then close;
end;

end.
